org.eclipse.oomph.p2.core

## Enum ProfileTransaction.CommitContext.DeltaType

- java.lang.Object
- - java.lang.Enum<ProfileTransaction.CommitContext.DeltaType>
  - - org.eclipse.oomph.p2.core.ProfileTransaction.CommitContext.DeltaType

- All Implemented Interfaces:
    Serializable, Comparable<ProfileTransaction.CommitContext.DeltaType>
  Enclosing class:
    ProfileTransaction.CommitContext

      public static enum ProfileTransaction.CommitContext.DeltaType
      extends Enum<ProfileTransaction.CommitContext.DeltaType>

  Author:
    Ed Merks

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDITION`
    `REMOVAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProfileTransaction.CommitContext.DeltaType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ProfileTransaction.CommitContext.DeltaType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REMOVAL

          public static final ProfileTransaction.CommitContext.DeltaType REMOVAL

    - #### ADDITION

          public static final ProfileTransaction.CommitContext.DeltaType ADDITION

  - ### Method Detail

    - #### values

          public static ProfileTransaction.CommitContext.DeltaType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProfileTransaction.CommitContext.DeltaType c : ProfileTransaction.CommitContext.DeltaType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProfileTransaction.CommitContext.DeltaType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html